<?
	$pageid="newdcmb";
	$bct=array("rants");
	include("../common/common.inc");

	printheader($pageid,$bct);
?>

<div class="indcontent">

<h2>The New DC Message Boards</h2>

<p>DC Comics recently relaunched their message boards and many of the townsfolk already have their pitchforks out over it.  I like them because they eliminate the old problem that the forum indexes were never up to date.  What they showed as the most recent post on each thread usually wasn't right, so it was hard to know when there was really something new in a thread without trudging through it.  The elimination of that problem alone made it worthwhile for me.  The point system might end up being interesting, too.</p>

<p>There are some minor problems with the new boards, but they seem to be working those out little by little.  The first problem I had was with the lack of visual contrast between the text and the darker blue background, as seen below:</p>

<div align="center"><strong>Before</strong><br><img src="/images/dcmb/dcmb_before.gif"></div>


<p>You'll also notice that there's a redundant header bar (the dark one that says Topic, Author, Replies, etc).  The thread titles are hard to read because of the excessive wrapping while the Last Post area is too big.  After a little tinkering, I have a solution to those problems.  Behold, this is how I now see the boards:</p>

<div align="center"><strong>After</strong><br><img src="/images/dcmb/dcmb_after.gif"></div>

<p>The colors are now much softer so the text is easier to read both on the topic list and the posts within the topics.  The redudant bar is gone and the columns are proportioned a little better.  All of this is done through "user style sheets", a little-used technology that was invented so crotchety old men could force every site to look the way they want it to.  Actually, the real intent was to allow visually impaired people to set universal font settings that make it easier to see pages.</p>

<p>If you're running a newer browser, you can use this same style sheet to get the DC boards to appear for you as they do above.<p>

<h3>Some Considerations</h3>

<ul>
	<li>This is a safe and easy thing to do than can easily be undone, as you'll see.  You're not going to catch any funky diseases because of this.</li>
	<li>This will only affect "Jive" message boards.  Apparently that is the name of message board software that DC used.  It isn't terribly common.</li>
	<li>If you're feeling brave, you can see what I've done and expand upon it if you know <a href="http://www.w3.org/Style/CSS/" target="_blank">how to code Cascading Style Sheets</a>.  Give the pages a background.  Go nuts.  I tried to fix up the header, but the way the page was coded made that tricky to get right across all pages where some of those elements are shared.</li>
	<li>This is probably abundantly obvious, but this only affects the way the computer you do this to sees the message boards.  This doesn't change the boards themselves or how others see them.</li>
	<li>I've tested this on IE 6 and Mozilla 1.0 for the PC.  The rest of you are on your own, but this should work on most modern browsers.</li>
	<li>This whole thing only works because the message board pages are coded a certain way.  If DC changes the pages, this will stop working.  For all I know, they'll move in this direction since many people have complained about the readability of the text. If that happens, just remove these customizations as described below.</li>
</ul>

<h3>Instructions</h3>

<p>This CSS code you need is <a href="/files/userContent.css" target="_blank">here</a>.  Look at it online if you're still nervous about using it.  By the way, you're <i>supposed</i> to be nervous about downloading stuff from a site ran by some guy you don't know well, even when it's obvious that his tastes in comics are impeccable (heh).</p>

<p>If you are using IE, download this file to a place you'll remember such as My Documents.  Wait for it to finish downloading.  In Internet Explorer, click on "Tools" in the top menu, then click on "Internet Options". Click on the "Accessibility" button near the bottom right corner of the pop-up.  Check the "Format documents using my style sheet", then use the Browse button to locate the file you just downloaded.  Close everything up and be sure to restart the browser for it to take effect.  That's it.  If you want to undo the change, all you need to do is come back to these settings and uncheck that box.</p>

<p>If you are using Mozilla/Netscape, find out where your profile files are.  Mine are in C:\Documents and Settings\[my name]\Application Data\Mozilla\Firefox\Profiles\default.rdr.  You might see your name instead of default.rdr.  Inside that folder, you should see yet another folder named "chrome".  Drop userContent.css (it has to have that exact name) into that folder and relaunch Mozilla.  That should do it.  You'll need to do this for each Mozilla user profile that you want to have this applied to. If you don't know what I'm talking about, you probably only have one Mozilla user so don't sweat it.  If you want to undo it, delete the file and restart Mozilla.</p>

<p>Painless, eh?</p>

<p>I'm probably a big fat fool for saying this, but you can <a href="mailto:clear@mandlo.com">email me</a> if you're having problems getting this done.  I'll try to help out, but I can't promise anything.</p>

<p>Now I need to go post this to some comic boards to trick people into coming to a site about the new Firestorm series.  Oh, and one more thing:  <a href="/rants/whyfs.php">this book rules!</a></p>

<div align="center">Return to the <a href="/issues.php">Home Page</a>.</div>


</div>

<? printfooter(); ?>











